#!/bin/bash
# Copyright 2022 Pavel Machek, GPLv2+

jpegize() {
	DNG_DIR="$1"
	BURST_DIR="$GIGA_DIR/sm/"

	cd $DNG_DIR
	echo *.dng | xargs -n 1 -P $(($(nproc)*2)) sh -c 'BASE=${0%%.dng}; /usr/libexec/millipixels//postprocess -q 100 -s "$0" "'"$BURST_DIR"'/$BASE.jpeg.sv"; rm "$0"'
}

SCRIPT_DIR=$(cd $(dirname "${BASH_SOURCE[0]}") && pwd)
GIGA_DIR="$2"
DEST_NAME="$3"

if [ "-$1" == "-start" ]; then
	mkdir $GIGA_DIR/sm
	cd $GIGA_DIR/sm
	/usr/libexec/millipixels//movie_audio_rec &
	echo $! > $2/audio.pid
elif [ "-$1" == "-stop" ]; then
	kill `cat $2/audio.pid`
	jpegize $2 # | zenity --progress "--text=Converting, phase 1, dng -> jpeg" --time-remaining
	cd $GIGA_DIR/sm
	$SCRIPT_DIR/mpegize.py convertall $GIGA_DIR/
	mv $GIGA_DIR/smo/*.mp4 $DEST_NAME
	rm -r $GIGA_DIR
else
	echo "Unrecognized command"
fi
